[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBasicAction.OnUpdate

Event triggered when the application is idle.

## Declaration

Source position: classesh.inc line 2043

`public property TBasicAction.OnUpdate : TNotifyEvent read FOnUpdate write FOnUpdate;`

## Description

OnUpdate is the event triggered when the application is idle, and the action is being updated. The OnUpdate event can be used to set the state of the action, for instance disable it if the action cannot be executed at this point in time.

## See also

Update |  | Triggers the OnUpdate event
OnExecute |  | Event triggered when the action executes.